petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatAssemblyType

Indicates if the matrix is now to be used, or if you plan to continue to add or insert values to it

### Synopsis

    typedef enum {MAT_FLUSH_ASSEMBLY=1,MAT_FINAL_ASSEMBLY=0} MatAssemblyType;

### See Also

MatAssemblyBegin(), MatAssemblyEnd()

### Level

beginner

### Location

src/mat/../../include/petscmat.h

### Examples

src/mat/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex4.c.html
src/mat/examples/tutorials/ex5.c.html
src/mat/examples/tutorials/ex8.c.html
src/mat/examples/tutorials/ex12.c.html
src/mat/examples/tutorials/ex15.c.html
src/mat/examples/tutorials/ex16.c.html
src/mat/examples/tutorials/ex17.c.html
src/ksp/pc/examples/tutorials/ex1.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/ksp/pc/examples/tutorials/ex3.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages